## wlroots 0.10.0

=== meson_options.txt ===
option('libcap', type: 'feature', value: 'auto', description: 'Enable support for rootless session via capabilities (cap_sys_admin)')
option('logind', type: 'feature', value: 'auto', description: 'Enable support for rootless session via logind')
option('logind-provider', type: 'combo', choices: ['systemd', 'elogind'], value: 'systemd', description: 'Provider of logind support library')
option('xcb-errors', type: 'feature', value: 'auto', description: 'Use xcb-errors util library')
option('xcb-icccm', type: 'feature', value: 'auto', description: 'Use xcb-icccm util library')
option('xwayland', type: 'feature', value: 'auto', yield: true, description: 'Enable support for X11 applications')
option('x11-backend', type: 'feature', value: 'auto', description: 'Enable X11 backend')
option('examples', type: 'boolean', value: true, description: 'Build example applications')

## wlroots 0.3

=== debian/changelog ===
wlroots (0.3-1) experimental; urgency=medium

  * New upstream version 0.3

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Feb 2019 14:37:15 +0100

wlroots (0.2-1) experimental; urgency=medium

  * New upstream release
  * [bb72a5c] d/control: Add Vcs-* URLs
  * [1850149] d/control: Switch Vcs-* URLs to swaywm-team

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 Dec 2018 17:56:04 +0100

wlroots (0.0.0~git20181009-1) experimental; urgency=medium

  * New upstream git snapshot
  * [7a6de38] libwlroots-dev: Depend on required dev packages based on the pc
    file.
    Thanks to Charles-David <droper@analphabet.me>
  * [de444f4] Add minimal autopkgtests.  This ensures we can properly include
    and link against libwlroots.
  * [7411028] Drop rpath patch.  Not needed anymore

 -- Guido Günther <agx@sigxcpu.org>  Sat, 01 Dec 2018 17:55:56 +0100

wlroots (0.0.0~git20180524-1) experimental; urgency=medium

  * New upstream git snapshot
  * [7976cdb] Drop empty usr/bin
  * [6279466] Drop debian/rules template comments
  * [177604f] Update copyright information
  * [1f7ee13] gbp.conf: Use upstream/latest for upstream sources
  * [1f9b1a3] gbp.conf: Use id-length

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 May 2018 16:31:42 +0200

wlroots (0.0.0~git20180223-1) experimental; urgency=medium

  * New upstream snapshot

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Feb 2018 10:19:02 +0100

wlroots (0.0.0~git20180130-1) unstable; urgency=medium

  * New upstream snapshot

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Feb 2018 10:18:44 +0100

wlroots (0.0.0~git20180126-1) unstable; urgency=medium

  * Initial release (Closes: #888848)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 26 Jan 2018 17:23:38 +0100

=== debian/control ===
Source: wlroots
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper (>= 10),
 libcap-dev,
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev,
 libgles2-mesa-dev,
 libinput-dev,
 libpixman-1-dev,
 libsystemd-dev,
 libwayland-dev,
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-render0-dev,
 libxcb-xfixes0-dev,
 libxkbcommon-dev,
 meson (>= 0.43.0),
 pkg-config,
 wayland-protocols,
Standards-Version: 4.1.3
Section: libs
Homepage: https://github.com/swaywm/wlroots
Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots

Package: libwlroots-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libwlroots0 (= ${binary:Version}),
 libcap-dev,
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev (>= 17.1.0),
 libgles2-mesa-dev,
 libinput-dev (>= 1.7.0),
 libpixman-1-dev,
 libsystemd-dev,
 libwayland-dev (>= 1.15),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-render0-dev,
 libxcb-xfixes0-dev,
 libxkbcommon-dev,
 wayland-protocols (>= 1.15),
Description: Modular wayland compositor library - development headers
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains the development headers.

Package: libwlroots0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - shared library
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 . 
 This package contains the share library.

Package: libwlroots-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - binaries
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 . 
 This package contains the reference compositor rootston and other
 examples.

=== debian/tests/control ===
Tests: build-test
Depends: libwlroots-dev, build-essential, pkg-config
Restrictions: allow-stderr

## wlroots 0.6.0

=== debian/changelog ===
wlroots (0.6.0-1) experimental; urgency=medium

  * New upstream version 0.6.0
  * Adjust to soname bump

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 May 2019 17:25:26 +0200

wlroots (0.5.0-2) experimental; urgency=medium

  [ Birger Schacht ]
  * [3fa04fe] Update copyright file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Apr 2019 09:46:18 +0200

wlroots (0.5.0-1) experimental; urgency=medium

  * New upstream version 0.5.0
  * [0f1aaa4] Adjust to upstream soname bump

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Mar 2019 13:27:29 +0100

wlroots (0.4.1-1) experimental; urgency=medium

  * New upstream version 0.4.1
  * [109f084] Add shlibs file.  Upstream intends to bump so names on ABI
    breaks. (Closes: #921884)
  * [56e169d] Rename library package due to soname bump
  * [1612b99] Bump standards version to 4.3.0
  * [1230e30] d/copyright: Update since some code got dropped

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Mar 2019 11:39:22 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  meson (>= 0.43.0),
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/swaywm/wlroots
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
@@ -34,7 +34,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots0 (= ${binary:Version}),
+ libwlroots3 (= ${binary:Version}),
  libcap-dev,
  libdrm-dev,
  libegl1-mesa-dev,
@@ -58,7 +58,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots0
+Package: libwlroots3
 Architecture: any
 Multi-Arch: same
 Depends:

## wlroots 0.7.0

=== debian/changelog ===
wlroots (0.7.0-2) experimental; urgency=medium

  [ Birger Schacht ]
  * [b6376e4] d/libwlroots3.shlibs: Bump version

  [ Guido Günther ]
  * [85d31e8] mark autopkgtest as superficial

 -- Birger Schacht <birger@rantanplan.org>  Wed, 18 Sep 2019 12:25:24 +0200

wlroots (0.7.0-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream version 0.7.0 (Closes: #936081)
  * [a62850e] Update examples
    rootston and screenshot got dropped, there's screencopy now

  [ Birger Schacht ]
  * [caf3a84] d/copyright: Update since files got dropped
  * [be3aa96] d/control: add libpng-dev to build-depends (for
    examples/screencopy.c)
  * [f972935] d/control: Set maintainer to team address and move Guido to
    uploaders
  * [1f69b85] d/control: Bump Standards-Version: no changes required
  * [ea9aae9] d/control: add myself to uploaders

 -- Birger Schacht <birger@rantanplan.org>  Wed, 11 Sep 2019 21:38:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: wlroots
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
 Build-Depends:
  debhelper (>= 10),
  libcap-dev,
@@ -10,6 +11,7 @@
  libgles2-mesa-dev,
  libinput-dev,
  libpixman-1-dev,
+ libpng-dev,
  libsystemd-dev,
  libwayland-dev,
  libxcb1-dev,
@@ -22,7 +24,7 @@
  meson (>= 0.43.0),
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: https://github.com/swaywm/wlroots
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git

## wlroots 0.10.0

=== debian/changelog ===
wlroots (0.10.0-2) unstable; urgency=medium

  [ Birger Schacht ]
  * Add libx11-xcb-dev and libxcb-xinput-dev to Dependencies
    of libwlroots-dev (Closes: #951109)

 -- Birger Schacht <birger@rantanplan.org>  Sun, 16 Feb 2020 20:03:45 +0100

wlroots (0.10.0-1) unstable; urgency=medium

  [ Jonas Meurer ]
  * [dfb8ec6] d/gbp.conf: set 'pristine-tar = True'

  [ Guido Günther ]
  * Upload to unstable (Closes: #947851)
  * [4c3f687] Add watch file
  * [88745ae] Switch to so version 5

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Jan 2020 11:51:37 +0100

wlroots (0.8.1-1) experimental; urgency=medium

  * Bump shlibs version
  * d/control: Remove trailing whitespace
  * d/control: Remove trailing whitespace
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * New upstream version 0.8.1

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Dec 2019 12:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libcap-dev,
  libdrm-dev,
  libegl1-mesa-dev,
@@ -24,7 +24,7 @@
  meson (>= 0.43.0),
  pkg-config,
  wayland-protocols,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/swaywm/wlroots
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
@@ -36,7 +36,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots3 (= ${binary:Version}),
+ libwlroots5 (= ${binary:Version}),
  libcap-dev,
  libdrm-dev,
  libegl1-mesa-dev,
@@ -52,7 +52,9 @@
  libxcb-image0-dev,
  libxcb-render0-dev,
  libxcb-xfixes0-dev,
+ libxcb-xinput-dev,
  libxkbcommon-dev,
+ libx11-xcb-dev,
  wayland-protocols (>= 1.15),
 Description: Modular wayland compositor library - development headers
  wlroots is a set of pluggable, composable modules to build a Wayland
@@ -60,7 +62,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots3
+Package: libwlroots5
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -69,7 +71,7 @@
 Description: Modular wayland compositor library - shared library
  wlroots is a set of pluggable, composable modules to build a Wayland
  composior.
- . 
+ .
  This package contains the share library.
 
 Package: libwlroots-examples
@@ -80,6 +82,6 @@
 Description: Modular wayland compositor library - binaries
  wlroots is a set of pluggable, composable modules to build a Wayland
  composior.
- . 
+ .
  This package contains the reference compositor rootston and other
  examples.

## wlroots 0.11.0

=== meson_options.txt ===
option('logind', type: 'feature', value: 'auto', description: 'Enable support for rootless session via logind')
option('logind-provider', type: 'combo', choices: ['auto', 'systemd', 'elogind'], value: 'auto', description: 'Provider of logind support library')
option('xcb-errors', type: 'feature', value: 'auto', description: 'Use xcb-errors util library')
option('xcb-icccm', type: 'feature', value: 'auto', description: 'Use xcb-icccm util library')
option('xwayland', type: 'feature', value: 'auto', yield: true, description: 'Enable support for X11 applications')
option('x11-backend', type: 'feature', value: 'auto', description: 'Enable X11 backend')
option('examples', type: 'boolean', value: true, description: 'Build example applications')
option('icon_directory', description: 'Location used to look for cursors (default: ${datadir}/icons)', type: 'string', value: '')

=== debian/changelog ===
wlroots (0.11.0-3) unstable; urgency=medium

  * [c95d2e9] output-management-v1: send complete head state on enable change.
    Fixes a phosh crash when the compositor fails to send updated
    state.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 12 Oct 2020 12:40:11 +0200

wlroots (0.11.0-2) unstable; urgency=medium

  * Upload to unstable
  * [0b2ae69] libwlroots-examples: Install more examples
  * [da6f836] Build-depend on libav*-dev.
    This allows to build the screencopy-dmabuf example

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Jul 2020 10:22:21 +0200

wlroots (0.11.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 0.11.0
    (Closes: #957935)
  * Drop all patches - all are part of 0.11.0
  * Adjust to soname change
  * Update d/copyright
  * Switch to dh 13

 -- Guido Günther <agx@sigxcpu.org>  Mon, 20 Jul 2020 13:42:36 +0200

wlroots (0.10.1-2) unstable; urgency=medium

  [ Vincent Bernat ]
  * [4e52cb5] d/control: add build-dependencies to enable X11 backend
    (Closes: #962748)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 25 Jun 2020 13:51:18 +0200

wlroots (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
  * [e0d4333] Bump meson build-dep.
    Thanks to Martin Michlmayr
    (Closes: #954099)
  * [2f4b173] Version build-depends according to meson.build.
    This makes backporting simpler
  * [6ef4e2d] Use Rules-Requires-Root
  * [93ff8c3] Rediff patches

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 Mar 2020 09:23:06 +0100

wlroots (0.10.0-3) unstable; urgency=medium

  * [0cc2c1d] Backport wlr-output-power-management.
    These are straight cherry-picks from upstream master

 -- Guido Günther <agx@sigxcpu.org>  Sun, 01 Mar 2020 13:40:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,37 @@
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
+ libavformat-dev,
+ libavcodec-dev,
  libcap-dev,
- libdrm-dev,
+ libdrm-dev (>= 2.4.95),
  libegl1-mesa-dev,
- libgbm-dev,
+ libgbm-dev (>= 17.1.0),
  libgles2-mesa-dev,
- libinput-dev,
+ libinput-dev (>= 1.9.0),
  libpixman-1-dev,
  libpng-dev,
  libsystemd-dev,
- libwayland-dev,
+ libwayland-dev (>= 1.16),
  libxcb1-dev,
  libxcb-composite0-dev,
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-render0-dev,
  libxcb-xfixes0-dev,
+ libxcb-xinput-dev,
+ libx11-xcb-dev,
  libxkbcommon-dev,
- meson (>= 0.43.0),
+ meson (>= 0.51.2),
  pkg-config,
- wayland-protocols,
+ wayland-protocols (>= 1.17),
 Standards-Version: 4.4.1
 Section: libs
 Homepage: https://github.com/swaywm/wlroots
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
+Rules-Requires-Root: no
 
 Package: libwlroots-dev
 Section: libdevel
@@ -36,7 +41,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots5 (= ${binary:Version}),
+ libwlroots6 (= ${binary:Version}),
  libcap-dev,
  libdrm-dev,
  libegl1-mesa-dev,
@@ -62,7 +67,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots5
+Package: libwlroots6
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/swaywm/wlroots.git \
refs/tags/([\d\.]+)

## wlroots 0.12.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 option('logind', type: 'feature', value: 'auto', description: 'Enable support for rootless session via logind')
 option('logind-provider', type: 'combo', choices: ['auto', 'systemd', 'elogind'], value: 'auto', description: 'Provider of logind support library')
+option('libseat', type: 'feature', value: 'auto', description: 'Enable support for rootless session via libseat')
 option('xcb-errors', type: 'feature', value: 'auto', description: 'Use xcb-errors util library')
 option('xcb-icccm', type: 'feature', value: 'auto', description: 'Use xcb-icccm util library')
 option('xwayland', type: 'feature', value: 'auto', yield: true, description: 'Enable support for X11 applications')

=== debian/changelog ===
wlroots (0.12.0-2ubuntu1) hirsute; urgency=medium

  * d/p/xcursor-fix-false-positive-stringop-truncation.patch:
    Ignore false positive stringop-truncation GCC warning/error on s390x
    https://github.com/swaywm/wlroots/issues/2018

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 03 Mar 2021 11:23:35 +0100

wlroots (0.12.0-2) unstable; urgency=medium

  [ nicoo ]
  * Team upload
  * Kick off to unstable

  [ Léo Andrès ]
  * [2524851] libwlroots0: fix typo in description.

 -- nicoo <nicoo@debian.org>  Sun, 14 Feb 2021 12:31:16 +0100

wlroots (0.12.0-1) experimental; urgency=medium

  * Upload to experimental
  * [45e00a5] Drop patches. All applied upstream
  * [ee0f2eb] Revert "layer-shell: error on 0 dimension without anchors"
    Undo this until phosh has a fixed release.
  * [6866955] d/gbp.conf: Use xz when generating tarballs
  * [788b999] debian: Adjust to soname change
  * [32602cb] d/control: Bump standards version
  * [efa76a2] d/upstream/metadata: Add upstream bug tracker URLs
  * [2ac8de7] d/rules: Enable all hardening opts

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Jan 2021 15:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: wlroots
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -28,7 +29,7 @@
  meson (>= 0.51.2),
  pkg-config,
  wayland-protocols (>= 1.17),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/swaywm/wlroots
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
@@ -41,7 +42,7 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots6 (= ${binary:Version}),
+ libwlroots7 (= ${binary:Version}),
  libcap-dev,
  libdrm-dev,
  libegl1-mesa-dev,
@@ -67,7 +68,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots6
+Package: libwlroots7
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -77,7 +78,7 @@
  wlroots is a set of pluggable, composable modules to build a Wayland
  composior.
  .
- This package contains the share library.
+ This package contains the shared library.
 
 Package: libwlroots-examples
 Architecture: any

## wlroots 0.15.1

=== meson_options.txt ===
option('xcb-errors', type: 'feature', value: 'auto', description: 'Use xcb-errors util library')
option('xwayland', type: 'feature', value: 'auto', yield: true, description: 'Enable support for X11 applications')
option('examples', type: 'boolean', value: true, description: 'Build example applications')
option('icon_directory', description: 'Location used to look for cursors (default: ${datadir}/icons)', type: 'string', value: '')
option('renderers', type: 'array', choices: ['auto', 'gles2', 'vulkan'], value: ['auto'], description: 'Select built-in renderers')
option('backends', type: 'array', choices: ['auto', 'drm', 'libinput', 'x11'], value: ['auto'], description: 'Select built-in backends')

=== tinywl/Makefile ===
WAYLAND_PROTOCOLS=$(shell pkg-config --variable=pkgdatadir wayland-protocols)
WAYLAND_SCANNER=$(shell pkg-config --variable=wayland_scanner wayland-scanner)
LIBS=\
	 $(shell pkg-config --cflags --libs wlroots) \
	 $(shell pkg-config --cflags --libs wayland-server) \
	 $(shell pkg-config --cflags --libs xkbcommon)

# wayland-scanner is a tool which generates C headers and rigging for Wayland
# protocols, which are specified in XML. wlroots requires you to rig these up
# to your build system yourself and provide them in the include path.
xdg-shell-protocol.h:
	$(WAYLAND_SCANNER) server-header \
		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@

xdg-shell-protocol.c: xdg-shell-protocol.h
	$(WAYLAND_SCANNER) private-code \
		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@

tinywl: tinywl.c xdg-shell-protocol.h xdg-shell-protocol.c
	$(CC) $(CFLAGS) \
		-g -Werror -I. \
		-DWLR_USE_UNSTABLE \
		-o $@ $< \
		$(LIBS)

clean:
	rm -f tinywl xdg-shell-protocol.h xdg-shell-protocol.c

.DEFAULT_GOAL=tinywl
.PHONY: clean

=== debian/changelog ===
wlroots (0.15.1-2) unstable; urgency=medium

  * [d2f0630] xdg-activation: Deduplicate token creation code
    Backport a (not yet merged) MR to fix a crash in the
    xdg-activation code.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Mar 2022 19:34:50 +0100

wlroots (0.15.1-1) unstable; urgency=medium

  * Upload to unstable
  * d/control: Fix typo (Closes: #984583)
  * d/copyright: Fix source URL
  * d/control: Fix homepage URL.
    Project moved to gitlab (Closes: #1001154)
  * New upstream version (Closes: #1005892)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 25 Mar 2022 11:57:45 +0100

wlroots (0.15.0-3) experimental; urgency=medium

  * [f909925] d/control: Bump meson and wayland-protocol dependencies.
    Adjust to what the project requires (Closes: #966176)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 18 Mar 2022 15:11:32 +0100

wlroots (0.15.0-2) experimental; urgency=medium

  * [7c01dd7] Use libdrm 2.4.109.
    This allows us to drop the reverted upstream change.
  * [1784c6e] Use wayland 1.20.
    This allows us to revert the reverted upstream change
  * [f60b70a] Bump standards version
  * [838be17] d/copyright: Drop unused pattern

 -- Guido Günther <agx@sigxcpu.org>  Mon, 14 Feb 2022 15:25:46 +0100

wlroots (0.15.0-1) experimental; urgency=medium

  * New upstream release
  * [bb15cc9] d/control: Bump build-deps according to meson dependencies
  * [bf804d6] Rediff patches
  * [c551f31] d/rules: Enable all optional backends
  * [1d55195] Adjust to soname bump
  * Use headless backend in tests
  * Revert several patches so we can build against libdrm and libwayland
    currently in Debian.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Dec 2021 15:15:52 +0100

wlroots (0.14.1-5) unstable; urgency=medium

  * Upload to unstable
  * [865f2f1] Drop patches backported form upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Dec 2021 09:39:07 +0100

wlroots (0.14.1-4) experimental; urgency=medium

  [ Birger Schacht ]
  * [3fafe04] Add x11 backend build dependencies also to the -dev package

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Nov 2021 18:53:18 +0100

wlroots (0.14.1-3) experimental; urgency=medium

  * [59c2af5] d/control: Add more dependencies for x11 backend.
    This reenables the x11 backend
  * [d1c7991] d/rules: Force x11 backend.
    This makes sure it doesn't get disabled again due to lack of
    dependencies

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Nov 2021 11:42:15 +0100

wlroots (0.14.1-2) experimental; urgency=medium

  [ Birger Schacht ]
  * [d512fe8] Enable XWayland again

  [ Guido Günther ]
  * [9f1d30d] d/control: Build-depend on libseat-dev

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Nov 2021 21:37:46 +0100

wlroots (0.14.1-1) experimental; urgency=medium

  * New upstream version 0.14.1
  * Bump soname to 9
  * d/control: Build-depend on libseat-dev

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Sep 2021 22:36:50 +0200

wlroots (0.13.0-1) experimental; urgency=medium

  * New upstream version 0.13.0
  * Adust to soname change
  * d/control: Bump libwayland-dev to 0.19
  * autopkgtest: Adjust to API change

 -- Guido Günther <agx@sigxcpu.org>  Tue, 13 Apr 2021 11:02:16 +0200

wlroots (0.12.0-3) unstable; urgency=medium

  * [02be191] examples/dmabuf-capture: stop using av_init_packet
    (Closes: #996500)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 Oct 2021 10:13:01 +0200

=== debian/control ===
Source: wlroots
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 13),
 libavformat-dev,
 libavcodec-dev,
 libcap-dev,
 libdrm-dev (>= 2.4.109),
 libegl1-mesa-dev,
 libgbm-dev (>= 17.1.0),
 libgles2-mesa-dev,
 libinput-dev (>= 1.9.0),
 libpixman-1-dev,
 libpng-dev,
 libseat-dev,
 libsystemd-dev,
 libwayland-dev (>= 1.20),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libx11-xcb-dev,
 libxkbcommon-dev,
 meson (>= 0.58.1),
 pkg-config,
 wayland-protocols (>= 1.24),
 xwayland,
Standards-Version: 4.6.0
Section: libs
Homepage: https://gitlab.freedesktop.org/wlroots/wlroots/
Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
Rules-Requires-Root: no

Package: libwlroots-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libwlroots10 (= ${binary:Version}),
 libcap-dev,
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev (>= 17.1.0),
 libgles2-mesa-dev,
 libinput-dev (>= 1.14.0),
 libpixman-1-dev,
 libseat-dev,
 libsystemd-dev,
 libwayland-dev (>= 1.20),
 libxcb1-dev,
 libxcb-composite0-dev,
 libxcb-dri3-dev,
 libxcb-icccm4-dev,
 libxcb-image0-dev,
 libxcb-present-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-res0-dev,
 libxcb-xfixes0-dev,
 libxcb-xinput-dev,
 libxkbcommon-dev,
 libx11-xcb-dev,
 wayland-protocols (>= 1.24),
Description: Modular wayland compositor library - development headers
 wlroots is a set of pluggable, composable modules to build a Wayland
 compositor.
 .
 This package contains the development headers.

Package: libwlroots10
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - shared library
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains the shared library.

Package: libwlroots-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Modular wayland compositor library - binaries
 wlroots is a set of pluggable, composable modules to build a Wayland
 composior.
 .
 This package contains the reference compositor rootston and other
 examples.

=== debian/tests/control ===
Tests: build-test
Depends: libwlroots-dev, build-essential, pkg-config
Restrictions: allow-stderr, superficial

## wlroots 0.16.2

=== meson_options.txt ===
--- 
+++ 
@@ -4,3 +4,5 @@
 option('icon_directory', description: 'Location used to look for cursors (default: ${datadir}/icons)', type: 'string', value: '')
 option('renderers', type: 'array', choices: ['auto', 'gles2', 'vulkan'], value: ['auto'], description: 'Select built-in renderers')
 option('backends', type: 'array', choices: ['auto', 'drm', 'libinput', 'x11'], value: ['auto'], description: 'Select built-in backends')
+option('allocators', type: 'array', choices: ['auto', 'gbm'], value: ['auto'],
+	description: 'Select built-in allocators')

=== tinywl/Makefile ===
--- 
+++ 
@@ -12,11 +12,7 @@
 	$(WAYLAND_SCANNER) server-header \
 		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@
 
-xdg-shell-protocol.c: xdg-shell-protocol.h
-	$(WAYLAND_SCANNER) private-code \
-		$(WAYLAND_PROTOCOLS)/stable/xdg-shell/xdg-shell.xml $@
-
-tinywl: tinywl.c xdg-shell-protocol.h xdg-shell-protocol.c
+tinywl: tinywl.c xdg-shell-protocol.h
 	$(CC) $(CFLAGS) \
 		-g -Werror -I. \
 		-DWLR_USE_UNSTABLE \

=== debian/changelog ===
wlroots (0.16.2-3) unstable; urgency=medium

  [ Diederik de Haas ]
  * [dd75d42] d/control: Update libwlroots-examples description.
    Upstream commit 58b2584863201f32d1a4770a1d5cde5e57b300c6 removed the
    rootston compositor, so remove it from the package description too.
    (Closes: #1027926)
  * [4de9500] d/patches: Backport upstream patch to fix FTBFS with ffmpeg 6.0
    (Closes: #1041493)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 03 Aug 2023 21:25:19 +0200

wlroots (0.16.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Thu, 20 Jul 2023 16:41:50 +0200

wlroots (0.16.2-1) experimental; urgency=medium

  * New upstream release
  * [ed00fc6] Drop patches contained in the release
  * Make autopkgtest a shell script. Thanks Andreas Henriksson
    for the review.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 19 Feb 2023 15:25:33 +0100

wlroots (0.16.1-2) experimental; urgency=medium

  * [d707bc2] libwlroots-dev: Depend on vulkan development package
    (Closes: #1030240)
  * [d4e58a8] Switch dependency from libegl1-mesa to libegl
  * [19386fa] Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Wed, 01 Feb 2023 16:57:22 +0100

wlroots (0.16.1-1) experimental; urgency=medium

  [ Guido Günther ]
  * New upstream release
    (Closes: #1027682)
  * [cb91b99] Drop patches applied upstream
  * [16358a9] Backport a patch from upstream's 0.16 branch
    to fix an XWayland crash.

  [ Birger Schacht ]
  * [fb08e6c] Add required Build-Dependencies to enable vulkan renderer
    (Closes: #1028910)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Jan 2023 11:57:52 +0100

wlroots (0.16.0-2) experimental; urgency=medium

  * [17dcb12] Fix compilation due to uninitialized values on some
    architectures.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 24 Nov 2022 13:50:49 +0100

wlroots (0.16.0-1) experimental; urgency=medium

  * Upload to experimental
  * [aac440c] New upstream release
  * [e8cf5bd] d/gbp.conf: Use upstream-vcs
  * [bea6239] d/watch: Project moved to fdo gitlab
  * [e7033ad] Adjust to new soname
  * [b9ef4e6] d/control: Update build-dependencies
  * [5054262] Refresh patches. Drop those applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 23 Nov 2022 16:20:46 +0100

wlroots (0.15.1-3) unstable; urgency=medium

  * [01320b4] Backport upstream patch to fix build with ffmpeg 5.0
    (Closes: #1004792)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 24 Jun 2022 11:54:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
 Build-Depends:
  debhelper-compat (= 13),
+ glslang-tools,
+ hwdata,
  libavformat-dev,
  libavcodec-dev,
  libcap-dev,
- libdrm-dev (>= 2.4.109),
- libegl1-mesa-dev,
+ libdrm-dev (>= 2.4.113),
+ libegl-dev,
  libgbm-dev (>= 17.1.0),
  libgles2-mesa-dev,
  libinput-dev (>= 1.9.0),
@@ -16,6 +18,7 @@
  libpng-dev,
  libseat-dev,
  libsystemd-dev,
+ libvulkan-dev,
  libwayland-dev (>= 1.20),
  libxcb1-dev,
  libxcb-composite0-dev,
@@ -30,11 +33,11 @@
  libxcb-xinput-dev,
  libx11-xcb-dev,
  libxkbcommon-dev,
- meson (>= 0.58.1),
+ meson (>= 0.59.0),
  pkg-config,
  wayland-protocols (>= 1.24),
  xwayland,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://gitlab.freedesktop.org/wlroots/wlroots/
 Vcs-Git: https://salsa.debian.org/swaywm-team/wlroots.git
@@ -47,16 +50,17 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots10 (= ${binary:Version}),
+ libwlroots11 (= ${binary:Version}),
  libcap-dev,
  libdrm-dev,
- libegl1-mesa-dev,
+ libegl-dev,
  libgbm-dev (>= 17.1.0),
  libgles2-mesa-dev,
  libinput-dev (>= 1.14.0),
  libpixman-1-dev,
  libseat-dev,
  libsystemd-dev,
+ libvulkan-dev,
  libwayland-dev (>= 1.20),
  libxcb1-dev,
  libxcb-composite0-dev,
@@ -78,7 +82,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots10
+Package: libwlroots11
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -99,5 +103,4 @@
  wlroots is a set of pluggable, composable modules to build a Wayland
  composior.
  .
- This package contains the reference compositor rootston and other
- examples.
+ This package contains various examples on how to use wlroots.

## wlroots 0.16.2-2pureos1+really0.15.1

=== debian/changelog ===
wlroots (0.16.2-2pureos1+really0.15.1-6) crimson; urgency=medium

  * Re-upload original bookworm package.

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Wed, 19 Mar 2025 05:33:03 +0000

wlroots (0.15.1-6) unstable; urgency=medium

  * [101ea4a] Bump shlibs version.
    We introduce a new function (that is contained in newer wlroots) so bump
    the version to create a strict enough dependency.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Feb 2023 12:43:10 +0100

wlroots (0.15.1-5) unstable; urgency=medium

  * [764e4e9] Cherry pick two upstream fixes.
    Add seat-Allow-to-cancel-touches.patch: make sure touch gestures get cancelled
    Add wlr_output_layout_contains_point-handle-outputs-that-aren.patch:
    Avoid crash when an output is not part of the given layout
    This helps on mobile devices.
  * d/gbp.conf: Switch to bookworm

 -- Guido Günther <agx@sigxcpu.org>  Mon, 20 Feb 2023 12:36:16 +0100

wlroots (0.15.1-4) unstable; urgency=medium

  * [df38414] Move upstream patches to d/patches/upstream.
    Move patches cherry-picked from usptream to a separate folder.
    This makes it obvious that they can be dropped when moving to
    a new upstream version.
  * [f1f2322] Fix occasional phoc crash on pinephone{,-pro}
    Thanks to Andrey Skvortsov for testing (Closes: #1025870)
  * [29b2f82] d/gbp.conf: Adjust for unstable
    debian/latest ships 0.16.0 already

 -- Guido Günther <agx@sigxcpu.org>  Sun, 11 Dec 2022 14:15:23 +0100

## wlroots 0.17.0

=== tinywl/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 WAYLAND_PROTOCOLS=$(shell pkg-config --variable=pkgdatadir wayland-protocols)
 WAYLAND_SCANNER=$(shell pkg-config --variable=wayland_scanner wayland-scanner)
 LIBS=\
-	 $(shell pkg-config --cflags --libs wlroots) \
+	 $(shell pkg-config --cflags --libs "wlroots >= 0.17.0-dev") \
 	 $(shell pkg-config --cflags --libs wayland-server) \
 	 $(shell pkg-config --cflags --libs xkbcommon)

=== debian/changelog ===
wlroots (0.17.0-2deepin3) unstable; urgency=medium

  * Add debian patch

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 07 May 2024 15:15:26 +0800

wlroots (0.17.0-2deepin2) unstable; urgency=medium

  * Release new version to reslove conflict with wlroots-git

 -- rewine <luhongxu@deepin.org>  Fri, 24 Nov 2023 20:00:00 +0800

wlroots (0.17.0-1deepin2) unstable; urgency=medium

  * Remove unused patch

 -- rewine <luhongxu@deepin.org>  Fri, 24 Nov 2023 17:28:54 +0800

wlroots (0.17.0-1deepin1) unstable; urgency=medium

  * Add deepin patch

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 24 Nov 2023 10:17:53 +0800

wlroots (0.17.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * [965a0e9] New upstream release
  * [c8cf0e8] Refresh patches.
    We drop the client patch as wlroots doesn't ship these anymore and
    refresh the anchor patch.
  * [f0cb805] d/control: Drop libav deps.
    Clients are no longer shipped.
  * [89f88ab] d/control: Update build-deps for new upstream version
  * [ce42ad3] Bump soname to 12
  * [a5445d6] Update examples.
    Client examples were moved to a separate repo
  * [99dd42c] d/copyright: Update with wlroots contributors
  * [0ca6cb2] d/tests: Update autopkgtest to new API
  * [bbd56db] d/control: Update dependencies of dev package.
    According to the shipped pc file

 -- Guido Günther <agx@sigxcpu.org>  Tue, 21 Nov 2023 19:26:36 +0100

wlroots (0.16.2-2deepin2) unstable; urgency=medium

  * Upload to unstable
  *  fix error dependency on debian/control

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 03 Jul 2023 16:25:20 +0800

wlroots (0.16.2-2deepin1) UNRELEASED; urgency=medium

  * add new patch

 -- xiangzelong <xiangzelong@deepin.org>  Mon, 24 Apr 2023 11:41:46 +0800

=== debian/control ===
--- 
+++ 
@@ -6,36 +6,40 @@
  debhelper-compat (= 13),
  glslang-tools,
  hwdata,
- libavformat-dev,
- libavcodec-dev,
  libcap-dev,
+ libcairo2-dev,
+ libdisplay-info-dev (>= 0.1.1),
  libdrm-dev (>= 2.4.113),
+ libegl1-mesa-dev,
  libegl-dev,
  libgbm-dev (>= 17.1.0),
  libgles2-mesa-dev,
  libinput-dev (>= 1.9.0),
+ libliftoff-dev (>= 0.4.1),
  libpixman-1-dev,
  libpng-dev,
  libseat-dev,
  libsystemd-dev,
  libvulkan-dev,
- libwayland-dev (>= 1.20),
+ libwayland-dev (>= 1.21),
+ libx11-xcb-dev,
  libxcb1-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
+ libxcb-ewmh-dev,
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-present-dev,
  libxcb-render0-dev,
  libxcb-render-util0-dev,
  libxcb-res0-dev,
+ libxcb-shm0-dev,
  libxcb-xfixes0-dev,
  libxcb-xinput-dev,
- libx11-xcb-dev,
  libxkbcommon-dev,
  meson (>= 0.59.0),
  pkg-config,
- wayland-protocols (>= 1.24),
+ wayland-protocols (>= 1.31),
  xwayland,
 Standards-Version: 4.6.2
 Section: libs
@@ -50,9 +54,10 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots11 (= ${binary:Version}),
+ libwlroots12 (= ${binary:Version}),
  libcap-dev,
- libdrm-dev,
+ libdisplay-info-dev,
+ libdrm-dev (>= 2.4.114),
  libegl-dev,
  libgbm-dev (>= 17.1.0),
  libgles2-mesa-dev,
@@ -60,17 +65,21 @@
  libpixman-1-dev,
  libseat-dev,
  libsystemd-dev,
+ libliftoff-dev (>= 0.4.0),
+ libudev-dev,
  libvulkan-dev,
- libwayland-dev (>= 1.20),
+ libwayland-dev (>= 1.22),
  libxcb1-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
+ libxcb-ewmh-dev,
  libxcb-icccm4-dev,
  libxcb-image0-dev,
  libxcb-present-dev,
  libxcb-render0-dev,
  libxcb-render-util0-dev,
  libxcb-res0-dev,
+ libxcb-shm0-dev,
  libxcb-xfixes0-dev,
  libxcb-xinput-dev,
  libxkbcommon-dev,
@@ -82,7 +91,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots11
+Package: libwlroots12
 Architecture: any
 Multi-Arch: same
 Depends:

## wlroots 0.17.1

=== debian/changelog ===
wlroots (0.17.1-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:42:52 +1100

wlroots (0.17.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063089

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 02:36:15 +0000

wlroots (0.17.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 09 Jan 2024 19:39:59 +0100

wlroots (0.17.1-1) experimental; urgency=medium

  * New upstream release
  * d/control: Drop superfluous version information
    Thanks: Diederik de Haas

 -- Guido Günther <agx@sigxcpu.org>  Fri, 22 Dec 2023 15:32:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: wlroots
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  glslang-tools,
  hwdata,
  libcap-dev,
  libcairo2-dev,
  libdisplay-info-dev (>= 0.1.1),
- libdrm-dev (>= 2.4.113),
+ libdrm-dev (>= 2.4.114),
  libegl1-mesa-dev,
  libegl-dev,
- libgbm-dev (>= 17.1.0),
+ libgbm-dev,
  libgles2-mesa-dev,
- libinput-dev (>= 1.9.0),
+ libinput-dev,
  libliftoff-dev (>= 0.4.1),
  libpixman-1-dev,
  libpng-dev,
  libseat-dev,
  libsystemd-dev,
  libvulkan-dev,
- libwayland-dev (>= 1.21),
+ libwayland-dev (>= 1.22),
  libx11-xcb-dev,
  libxcb1-dev,
  libxcb-composite0-dev,
@@ -37,9 +38,9 @@
  libxcb-xfixes0-dev,
  libxcb-xinput-dev,
  libxkbcommon-dev,
- meson (>= 0.59.0),
+ meson,
  pkg-config,
- wayland-protocols (>= 1.31),
+ wayland-protocols (>= 1.24),
  xwayland,
 Standards-Version: 4.6.2
 Section: libs
@@ -54,14 +55,14 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots12 (= ${binary:Version}),
+ libwlroots12t64 (= ${binary:Version}),
  libcap-dev,
  libdisplay-info-dev,
  libdrm-dev (>= 2.4.114),
  libegl-dev,
- libgbm-dev (>= 17.1.0),
+ libgbm-dev,
  libgles2-mesa-dev,
- libinput-dev (>= 1.14.0),
+ libinput-dev,
  libpixman-1-dev,
  libseat-dev,
  libsystemd-dev,
@@ -91,7 +92,10 @@
  .
  This package contains the development headers.
 
-Package: libwlroots12
+Package: libwlroots12t64
+Provides: ${t64:Provides}
+Replaces: libwlroots12
+Breaks: libwlroots12 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/archive\/(\d\S+)\/wlroots.*\.tar\.gz/wlroots-$1\.tar\.gz/g, uversionmangle=s/_(alpha|beta|rc)/~$1/" \
  https://gitlab.freedesktop.org/wlroots/wlroots/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## wlroots 0.17.4

=== debian/changelog ===
wlroots (0.17.4-1build1) oracular; urgency=medium

  * Rebuild against new libdisplay-info2.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Jul 2024 21:01:24 +0200

wlroots (0.17.4-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Jul 2024 18:00:32 +0200

wlroots (0.17.3-2) unstable; urgency=medium

  * Upload to unstable 

 -- Guido Günther <agx@sigxcpu.org>  Mon, 17 Jun 2024 07:35:17 +0200

wlroots (0.17.3-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
  * [9c7b1f8] Drop gles2-Avoid-crash-when-glGetInteger64vEXT-is-missing.patch:
    Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 May 2024 14:28:54 +0200

wlroots (0.17.2-2) unstable; urgency=medium

  * Upload to unstable 
  * Acknowledge NMU (Closes: #1063089)
  * Use pkgconf
  * Bump versions wayland-protocols dependency
    Closes: #1029381, #1064497

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 May 2024 09:31:44 +0200

wlroots (0.17.2-1) experimental; urgency=medium

  * Upload to experimental to not disturb ongoing transitions
  * New upstream release
  * [c097505] gles2: Avoid crash when glGetInteger64vEXT is missing
    Backport of upstream commit 341b3c8bd2387d9d6fb684e006a4eb45dfe09efa

 -- Guido Günther <agx@sigxcpu.org>  Tue, 12 Mar 2024 19:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: wlroots
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Guido Günther <agx@sigxcpu.org>, Birger Schacht <birger@rantanplan.org>
 Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
@@ -39,8 +38,8 @@
  libxcb-xinput-dev,
  libxkbcommon-dev,
  meson,
- pkg-config,
- wayland-protocols (>= 1.24),
+ pkgconf,
+ wayland-protocols (>= 1.32),
  xwayland,
 Standards-Version: 4.6.2
 Section: libs

## wlroots 0.18.1

=== debian/changelog ===
wlroots (0.18.1-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Sat, 05 Oct 2024 12:32:06 +0200

wlroots (0.18.0-2) experimental; urgency=medium

  * [fec682f] Build with support for xcb-errors
    (Closes: #1072638)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 Aug 2024 12:25:56 +0200

wlroots (0.18.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
  * [4225a2a] Rediff patches
  * [c188450] gitignore generated files
  * [89eb3b2] debian: Add wlroots version to package names.
    Upstream now allows for parallel installation by encoding the API
    version in the library name.
  * [f996e82] tests: Run against 0.18
  * [7c36c90] d/control: Bump libwayland and libdrm dependencies
  * [a867c99] d/copyright: Update and sort.
    Sort file list alphabetically, put recent dates first, use shared
    license text for CC0-1.0.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Jul 2024 11:26:23 +0200

## wlroots 0.18.2

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,6 @@
 option('backends', type: 'array', choices: ['auto', 'drm', 'libinput', 'x11'], value: ['auto'], description: 'Select built-in backends')
 option('allocators', type: 'array', choices: ['auto', 'gbm'], value: ['auto'],
 	description: 'Select built-in allocators')
+option('session', type: 'feature', value: 'auto', description: 'Enable session support')
+option('color-management', type: 'feature', value: 'auto', description: 'Enable support for color management')
+option('libliftoff', type: 'feature', value: 'auto', description: 'Enable support for libliftoff')

=== debian/changelog ===
wlroots (0.18.2-3) unstable; urgency=medium

  * [378b702] seat: Don't forget to destroy touch points on touch up
    This is a prereq for phoc/phosh to work.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 30 Jan 2025 19:46:02 +0100

wlroots (0.18.2-2) unstable; urgency=medium

  [ Birger Schacht ]
  * [c11c02a] d/control: add liblcms2-dev to Depends instead of only the test
    Depends: (Closes: #1091944)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 02 Jan 2025 19:31:31 +0100

wlroots (0.18.2-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream release

  [ Diederik de Haas ]
  * [65600d4] d/control: Update Build Dependencies.
  * [881be43] d/tests/control: Update Test Build Dependencies.
    Debian commit 2a8b2e52aa3d ("Use pkgconf") switched from
    ``pkg-config`` to ``pkgconf``, so update the test B-Ds as well.
  * [bfe3f70] d/control: Add liblcms2-dev for color profile support.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 31 Dec 2024 15:49:47 +0100

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,25 @@
  libcap-dev,
  libcairo2-dev,
  libdisplay-info-dev (>= 0.1.1),
- libdrm-dev (>= 2.4.114),
+ libdrm-dev (>= 2.4.122),
  libegl1-mesa-dev,
  libegl-dev,
  libgbm-dev,
  libgles2-mesa-dev,
- libinput-dev,
- libliftoff-dev (>= 0.4.1),
- libpixman-1-dev,
+ libinput-dev (>= 1.19.0),
+ liblcms2-dev,
+ libliftoff-dev (>= 0.4.0),
+ libpixman-1-dev (>= 0.42.0),
  libpng-dev,
  libseat-dev,
  libsystemd-dev,
  libvulkan-dev,
- libwayland-dev (>= 1.22),
+ libwayland-dev (>= 1.23),
  libx11-xcb-dev,
  libxcb1-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
+ libxcb-errors-dev,
  libxcb-ewmh-dev,
  libxcb-icccm4-dev,
  libxcb-image0-dev,
@@ -48,13 +50,13 @@
 Vcs-Browser: https://salsa.debian.org/swaywm-team/wlroots
 Rules-Requires-Root: no
 
-Package: libwlroots-dev
+Package: libwlroots-0.18-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- libwlroots12t64 (= ${binary:Version}),
+ libwlroots-0.18 (= ${binary:Version}),
  libcap-dev,
  libdisplay-info-dev,
  libdrm-dev (>= 2.4.114),
@@ -62,6 +64,7 @@
  libgbm-dev,
  libgles2-mesa-dev,
  libinput-dev,
+ liblcms2-dev,
  libpixman-1-dev,
  libseat-dev,
  libsystemd-dev,
@@ -72,6 +75,7 @@
  libxcb1-dev,
  libxcb-composite0-dev,
  libxcb-dri3-dev,
+ libxcb-errors-dev,
  libxcb-ewmh-dev,
  libxcb-icccm4-dev,
  libxcb-image0-dev,
@@ -91,10 +95,7 @@
  .
  This package contains the development headers.
 
-Package: libwlroots12t64
-Provides: ${t64:Provides}
-Replaces: libwlroots12
-Breaks: libwlroots12 (<< ${source:Version})
+Package: libwlroots-0.18
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -106,7 +107,7 @@
  .
  This package contains the shared library.
 
-Package: libwlroots-examples
+Package: libwlroots-0.18-examples
 Architecture: any
 Depends:
  ${misc:Depends},

=== debian/tests/control ===
Tests: build-test
Depends: libwlroots-0.18-dev, build-essential, pkgconf
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.freedesktop.org/wlroots/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
